#ifndef _Boss_h
#define _Boss_h

#include <Xm/Xm.h>

externalref WidgetClass xmBossWidgetClass;

typedef struct _XmBossClassRec * XmBossWidgetClass;
typedef struct _XmBossRec      * XmBossWidget;

#ifndef XmIsBoss
#define XmIsBoss(w)  (XtIsSubclass (w, XmBossWidgetClass))
#endif

#define XmCR_BOSS_RESIZE		2580
#define XmCR_BOSS_CHANGE_MANAGED	2581
#define XmCR_BOSS_GEOMETRY_MANAGER	2582
#define XmCR_BOSS_QUERY_GEOMETRY	2583

#define XmNresizeCallback		"resizeCallback"
#define XmNchangeManagedCallback	"changeManagedCallback"
#define XmNgeometryManagerCallback	"geometryManagerCallback"
#define XmNqueryGeometryCallback	"queryGeometryCallback"

typedef struct
{
    int			reason;
    XEvent		*event;
} XmBossResizeCallbackStruct;

typedef struct
{
    int			reason;
    XEvent		*event;
    Boolean		doResize;
} XmBossChangeManagedCallbackStruct;

typedef struct
{
    int			reason;
    XEvent		*event;
    XtGeometryResult	result;
    XtWidgetGeometry	*desired;
    XtWidgetGeometry	*allowed;
} XmBossGeometryManagerCallbackStruct;

typedef struct
{
    int			reason;
    XEvent		*event;
    XtGeometryResult	result;
    XtWidgetGeometry	*intended;
    XtWidgetGeometry	*desired;
} XmBossQueryGeometryCallbackStruct;


#ifdef _NO_PROTO
extern Widget XmCreateBoss() ;
#else /* _NO_PROTO */

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif

extern Widget XmCreateBoss( Widget p, String name, ArgList args, Cardinal n);
#endif /* _NO_PROTO */

#if defined(__cplusplus) || defined(c_plusplus)
}

#endif

#endif /* _Boss_h */
