#ifndef _BossP_H
#define _BossP_H

#include <Boss.h>
#include <Xm/XmP.h>
#include <Xm/BulletinBP.h>

typedef struct _XmBossClassPart     /* dial class record */
{
        caddr_t         extension; /* Pointer to extension record */
} XmBossClassPart;

typedef struct _XmBossClassRec
{
    CoreClassPart		core_class;
    CompositeClassPart		composite_class;
    ConstraintClassPart		constraint_class;
    XmManagerClassPart		manager_class;
    XmBulletinBoardClassPart	bulletin_board_class;
    XmBossClassPart		boss_class;
} XmBossClassRec;

extern XmBossClassRec xmBossClassRec;

typedef struct _XmBossPart
{
    XtCallbackList	resize_callback;
    XtCallbackList	change_managed_callback;
    XtCallbackList	geometry_manager_callback;
    XtCallbackList	query_geometry_callback;
} XmBossPart;

typedef struct _XmBossRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    XmManagerPart	manager;
    XmBulletinBoardPart	bulletin_board;
    XmBossPart		boss;
} XmBossRec;
	
#endif /* _BossP_H */
